package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MysqlCreateFullTextAnalyzerStatement extends MySqlStatementImpl {
   private SQLName name;
   private String tokenizer;
   private List<String> charfilters = new ArrayList();
   private List<String> tokenizers = new ArrayList();

   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      if (name != null) {
         name.setParent(this);
      }

      this.name = name;
   }

   public String getTokenizer() {
      return this.tokenizer;
   }

   public void setTokenizer(String tokenizer) {
      this.tokenizer = tokenizer;
   }

   public List<String> getCharfilters() {
      return this.charfilters;
   }

   public List<String> getTokenizers() {
      return this.tokenizers;
   }
}
